Sympa::Spindle::ProcessModeration(3Sympa)

NAME
Sympa::Spindle::ProcessModeration - Workflow of message moderation

SYNOPSIS
  use Sympa::Spindle::ProcessModeration;

  my $spindle = Sympa::Spindle::ProcessModeration->new(
      distributed_by => $email, context => $robot, authkey => $key);
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessModeration defines workflow for moderation of messages.

When spin() method is invoked, it reads a message in moderation spool and distribute or reject it. Either distribution or rejection failed or not, spin() will terminate processing. Failed message will be kept in spool and wait for moderation again.

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( distributed_by => $email | rejected_by => $email, context => $context, authkey => $key, [ quiet => 1 ] )
spin ( )
    new() must take following options:

    distributed_by => $email | rejected_by => $email
        E-mail address of the user who distributed or rejected the message. It is given by DISTRIBUTE or REJECT command.

    context => $context
    authkey => $key
        Context (List or Robot) and authorization key to specify the message in spool.

    quiet => 1
        If this option is set, automatic replies reporting result of processing to the user (see "distributed_by" and "rejected_by") will not be sent.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Spool::Moderation class.

{finish}
    'success' is set if processing succeeded. 'failure' is set if processing failed.

SEE ALSO
Sympa::Message, Sympa::Spindle, Sympa::Spindle::DistributeMessage, Sympa::Spool::Moderation.

HISTORY
Sympa::Spindle::ProcessModeration appeared on Sympa 6.2.13.